Virtual Hub Bgp Connections - List Advertised Routes
Haalt een lijst op met routes die de bgp-verbinding van de virtuele hub adverteert voor de opgegeven peer.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes?api-version=2025-05-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
connection
|
path | True |
string |
De naam van de BGP-verbinding. |
|
hub
|
path | True |
string |
De naam van de virtuele hub. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
VirtualRouterPeerListAdvertisedRoutes
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualRouter1/bgpConnections/peer1/advertisedRoutes?api-version=2025-05-01
Voorbeeldrespons
{
"RouteServiceRole_IN_0": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
],
"RouteServiceRole_IN_1": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}
Definities
| Name | Description |
|---|---|
|
Cloud |
Een foutreactie van de service. |
|
Cloud |
Een foutreactie van de service. |
CloudError
Een foutreactie van de service.
| Name | Type | Description |
|---|---|---|
| error |
Wolk fout lichaam. |
CloudErrorBody
Een foutreactie van de service.
| Name | Type | Description |
|---|---|---|
| code |
string |
Een id voor de fout. Codes zijn invariant en zijn bedoeld om programmatisch te worden gebruikt. |
| details |
Een lijst met aanvullende details over de fout. |
|
| message |
string |
Een bericht met een beschrijving van de fout, bedoeld om te worden weergegeven in een gebruikersinterface. |
| target |
string |
Het doel van de specifieke fout. Bijvoorbeeld de naam van de eigenschap in fout. |